cascading.operation.assertion

## Class AssertSizeEquals

- java.lang.Object
- - cascading.operation.BaseOperation<C>
  - - cascading.operation.assertion.BaseAssertion
    - - cascading.operation.assertion.AssertSizeEquals

- All Implemented Interfaces:
    DeclaresResults, Assertion, Operation, PlannedOperation, ValueAssertion, Traceable, Serializable

      public class AssertSizeEquals
      extends BaseAssertion
      implements ValueAssertion

  Class AssertSizeEquals asserts that the current `Tuple` in the stream is exactly the given size. On evaluation, `Tuple.size()` is called (note Tuples may hold `null` values).
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssertSizeEquals(int size)` Constructor AssertSizeEquals creates a new AssertSizeEquals instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAssert(FlowProcess flowProcess, ValueAssertionCall assertionCall)` Method doAssert performs the assertion.
    `boolean` | `equals(Object object)`
    `int` | `getSize()`
    `int` | `hashCode()`

    - ### Methods inherited from class cascading.operation.assertion.BaseAssertion

      `fail, fail, getMessage, supportsPlannerLevel, throwFail, throwFail`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, prepare, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.PlannedOperation

      `supportsPlannerLevel`

    - ### Methods inherited from interface cascading.operation.Operation

      `cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

- - ### Constructor Detail

    - #### AssertSizeEquals

          @ConstructorProperties(value="size")
          public AssertSizeEquals(int size)

      Constructor AssertSizeEquals creates a new AssertSizeEquals instance.
      Parameters:
        `size` - of type int

  - ### Method Detail

    - #### getSize

          public int getSize()

    - #### doAssert

          public void doAssert(FlowProcess flowProcess,
                      ValueAssertionCall assertionCall)

      Description copied from interface: `ValueAssertion`
      Method doAssert performs the assertion.
      Specified by:
        `doAssert` in interface `ValueAssertion`
      Parameters:
        `flowProcess` - of type FlowProcess
        `assertionCall` - of type ValueAssertionCall

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `BaseAssertion`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseAssertion`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.